﻿@model List<ARGNSAvailableItemView>

@*<div class=" top_inside_table">
    <div class="col-lg-4 no-padding"><strong>@Shipment.SI</strong></div>
    <div class="col-lg-8"><input id="" class="form-control"></div>
</div>*@
<table class="table">
    <thead>
        <tr>
            @*<th width="6%" align="center"><input type="checkbox" style="margin auto; display block; margin-top 10px;"></th>*@
            <th></th>
            <th width="6%" align="center">#</th>
            <th width="18%">@Shipment.ItemDesc</th>
            <th width="23%">@Shipment.Available</th>
            <th width="23%">@Shipment.BE</th>
            <th width="24%">Doc #</th>
            <th width="24%">@Shipment.LineNo #</th>
            <th width="24%">@Shipment.Selected</th>
        </tr>
    </thead>
    <tbody>
        @foreach (ARGNSAvailableItemView mLine in Model)
        {
            string mLineNum = "LineCKAVIT" + mLine.LineId;
            string mLineQty = "LineQty" + mLine.LineId;
            string mSelected = "Selected" + mLine.LineId;
            <tr class="">
                <td align="center"><input type="checkbox" id="@mLineNum" name="@mLineNum" value="@mLine.LineId"></td>
                <td>@mLine.LineId</td>
                <td style="width: 220px; display: block;">@mLine.U_ItemName<input type="hidden" id="@mLine.LineId" /></td>
                <td style=" text-align: center;"><input id="@mLineQty" name="@mLineQty" value="@Math.Round(mLine.Quantity.Value, 2)" disabled="disabled"></td>
                <td style=" text-align: center;">@mLine.U_BaseEntry</td>
                <td style=" text-align: center;">@mLine.U_BaseDocNo</td>
                <td style=" text-align: center;">@mLine.U_BaseLine</td>
                <td><input id="@mSelected" name="@mSelected" value="@Math.Round(mLine.Quantity.Value, 2)"></td>
            </tr>
        }      
    </tbody>
</table>